Loading...
Searching...
No Matches
caf::detail::simple_actor_clock::timeouts_cancellation Struct Referencefinal

Cancels all timeouts for an actor. More...

`#include <simple_actor_clock.hpp>`

Inheritance diagram for caf::detail::simple_actor_clock::timeouts_cancellation:

## Public Member Functions

| timeouts_cancellation (actor_id aid)
Public Member Functions inherited from caf::detail::simple_actor_clock::cancellation
| cancellation (event_type t, actor_id aid)
Public Member Functions inherited from caf::detail::simple_actor_clock::event
| event (event_type t)

## Additional Inherited Members

Public Attributes inherited from caf::detail::simple_actor_clock::cancellation
actor_id | aid
Public Attributes inherited from caf::detail::simple_actor_clock::event
event_type | subtype
| Identifies the actual type of this object.

## Detailed Description

Cancels all timeouts for an actor.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/simple_actor_clock.hpp